scala.collection.mutable

# TreeSet

#### object TreeSet extends MutableSortedSetFactory[TreeSet] with Serializable

Source
  TreeSet.scala

Linear Supertypes
Serializable, java.io.Serializable, MutableSortedSetFactory[TreeSet], SortedSetFactory[TreeSet], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeSet
2. Serializable
3. Serializable
4. MutableSortedSetFactory
5. SortedSetFactory
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = TreeSet[_]

   Definition Classes
     SortedSetFactory

2. #### class SortedSetCanBuildFrom[A] extends CanBuildFrom[Coll, A, CC[A]]

   Definition Classes
     SortedSetFactory

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[A](elems: A*)(implicit ord: Ordering[A]): TreeSet[A]

   Definition Classes
     SortedSetFactory

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def empty[A](implicit ordering: Ordering[A]): TreeSet[A]

   The empty set of this type

   The empty set of this type

   Definition Classes
     TreeSet → SortedSetFactory

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def newBuilder[A](implicit ord: Ordering[A]): Builder[A, TreeSet[A]]

    mutable.SetBuilder uses '+' which is not a primitive for anything extending mutable.SetLike, this causes serious perfomances issues since each time 'elems = elems + x' is evaluated elems is cloned (which is O(n)).

    mutable.SetBuilder uses '+' which is not a primitive for anything extending mutable.SetLike, this causes serious perfomances issues since each time 'elems = elems + x' is evaluated elems is cloned (which is O(n)).

    Fortunately GrowingBuilder comes to rescue.

    Definition Classes
      MutableSortedSetFactory → SortedSetFactory

16. #### implicit def newCanBuildFrom[A](implicit ord: Ordering[A]): CanBuildFrom[Coll, A, TreeSet[A]]

    Definition Classes
      SortedSetFactory

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from MutableSortedSetFactory[TreeSet]

### Inherited from SortedSetFactory[TreeSet]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped